package com.zehong.system.mapper;

import java.util.List;
import com.zehong.system.domain.TLpgAirChargeFiles;

/**
 * 液化石油气-充装记录Mapper接口
 * 
 * @author zehong
 * @date 2024-07-09
 */
public interface TLpgAirChargeFilesMapper 
{
    /**
     * 查询液化石油气-充装记录
     * 
     * @param fGasAirChargeId 液化石油气-充装记录ID
     * @return 液化石油气-充装记录
     */
    public TLpgAirChargeFiles selectTLpgAirChargeFilesById(Long fGasAirChargeId);

    public Integer selectTLpgAirChargeFilesTotal();

    /**
     * 查询液化石油气-充装记录列表
     * 
     * @param tLpgAirChargeFiles 液化石油气-充装记录
     * @return 液化石油气-充装记录集合
     */
    public List<TLpgAirChargeFiles> selectTLpgAirChargeFilesList(TLpgAirChargeFiles tLpgAirChargeFiles);

    /**
     * 新增液化石油气-充装记录
     * 
     * @param tLpgAirChargeFiles 液化石油气-充装记录
     * @return 结果
     */
    public int insertTLpgAirChargeFiles(TLpgAirChargeFiles tLpgAirChargeFiles);

    /**
     * 修改液化石油气-充装记录
     * 
     * @param tLpgAirChargeFiles 液化石油气-充装记录
     * @return 结果
     */
    public int updateTLpgAirChargeFiles(TLpgAirChargeFiles tLpgAirChargeFiles);

    /**
     * 删除液化石油气-充装记录
     * 
     * @param fGasAirChargeId 液化石油气-充装记录ID
     * @return 结果
     */
    public int deleteTLpgAirChargeFilesById(Long fGasAirChargeId);

    /**
     * 批量删除液化石油气-充装记录
     * 
     * @param fGasAirChargeIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTLpgAirChargeFilesByIds(Long[] fGasAirChargeIds);
}
